import type { ExportRateCardTermsPayload, GetRateCardTermsResponse, MasterRateTermCardsPayload, PostRateCardTermsPayload, PostRateCardTermsResponse, RateCardTerm } from '@bringg/types';
import Entity from '../../Core/Entity';
import type Session from '../../Services/Identity/Session';
import type { GetRatesParams } from '../types';
export default class RatesEntity extends Entity<RateCardTerm> {
    constructor(session: Session);
    getRates(params: GetRatesParams): Promise<GetRateCardTermsResponse>;
    postRates(payload: PostRateCardTermsPayload): Promise<PostRateCardTermsResponse>;
    importRateCardTerms(payload: FormData): Promise<PostRateCardTermsResponse>;
    exportRateCardTerms(payload: ExportRateCardTermsPayload): Promise<string>;
    exportMasterRateCardTerms(payload: MasterRateTermCardsPayload): Promise<string>;
}
